/*
 * Copyright (c) 2012 xqj.net. All rights reserved.
 */

package net.xqj.marklogic.examples;

import javax.xml.xquery.XQDataSource;
import javax.xml.xquery.XQPreparedExpression;
import javax.xml.xquery.XQException;
import javax.xml.xquery.XQItem;
import javax.xml.namespace.QName;

import net.xqj.marklogic.MarkLogicXQDataSource;

import java.io.FileInputStream;
import java.io.IOException;

import com.xqj2.XQConnection2; // extends javax.xml.xquery.XQConnection
import net.xqj.marklogic.MarkLogicXQInsertOptions; // extends com.xqj2.XQInsertOptions

/**
 * Very simple class which takes a local XML document and
 * inserts it into MarkLogic with the URI of "/document.xml" and an assigned collection of "/my-collection".
 *
 * This makes use of extensions from the XQJ2 API.
**/

public class DocumentLoader
{
	public static void main(String[] args) throws XQException
	{
		if(args.length != 4)
		{
			System.out.println("Specify XDBC Hostname and Port.");
			System.out.println();
			System.out.println("usage: java DocumentLoader host port user password");
			return;
		}

		String host = args[0];
		String port = args[1];
		String user = args[2];
		String password = args[3];

		XQDataSource ds = new MarkLogicXQDataSource();
		ds.setProperty("serverName", host);
		ds.setProperty("port", port);

		XQConnection2 xqc = (XQConnection2)ds.getConnection(user, password);

    XQItem item = xqc.createItemFromDocument("<e>Hello World</e>", null, null);

		MarkLogicXQInsertOptions insertOptions = new MarkLogicXQInsertOptions();
		insertOptions.setCollections(new String[] { "/my-collection" });

		xqc.insertItem("/document.xml", item, insertOptions);

		xqc.close();

	}
}
