/*
 * Copyright (c) 2012 xqj.net. All rights reserved.
 */

package net.xqj.marklogic.examples;

import javax.xml.xquery.XQDataSource;
import javax.xml.xquery.XQConnection;
import javax.xml.xquery.XQExpression;
import javax.xml.xquery.XQResultSequence;
import javax.xml.xquery.XQException;

import net.xqj.marklogic.MarkLogicXQDataSource;

/**
 * The archetypal Hello World application.
 *
 * This Submits the XQuery "Hello World" to MarkLogic then prints the result sequence.
**/

public class HelloWorld
{
	public static void main(String[] args) throws XQException
	{
		if(args.length != 4)
		{
			System.out.println("Specify XDBC Hostname and Port.");
			System.out.println();
			System.out.println("usage: java HelloWorld host port user password");
			return;
		}

		String hostName = args[0];
		String port = args[1];
		String user = args[2];
		String password = args[3];

		XQDataSource ds = new MarkLogicXQDataSource();
		ds.setProperty("serverName", hostName);
		ds.setProperty("port", port);

		XQConnection xqc = ds.getConnection(user, password);

		XQExpression xqe = xqc.createExpression();

		XQResultSequence rs = xqe.executeQuery("'Hello World'");

		rs.writeSequence(System.out, null);

		xqc.close();


	}

}